1.0

1.0

get /v1/cloudmonitorings/product/v2/metrics

Description

View the list of metrics provided by Monitoring. You can view the full list of metrics or the list of metrics for each service type.

State ACTIVE (CURRENT)

VersionSupported Until
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
queryproductTypeCode
optional
Product type code - Product type codes can be obtained using @[ListServiceMonitoring]. If not specified, the entire metric list will be retrieved.
Example : VM
stringNone
queryobjectType
optional
Object Type - Only available for services that have subtypes, such as when the ‘productTypeCode’ is ‘Kubernetes’ or ‘Load Balancer’.
Example : node
stringNone
querypage
optional
Page Number (default: 0)
Example : 0
integerNone
querysize
optional
Page Contents Size (default: 10)
Example : 10
integerNone
querysort
optional
Sorting Field List
array[string]None

Responses

HTTP CodeDescriptionSchema
200OKPageResponseMetricInfoDto
400Invalid RequestNone
401Monitoring User Not FoundNone
403Unauthorized RequestNone
404Resource Not FoundNone

Example HTTP request

Request path

/v1/cloudmonitorings/product/v2/metrics

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudmonitoring 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "disableObject": "N",
            "displayUnit": "",
            "fixedUnit": "sec",
            "isLogMetric": "N",
            "isObjectExist": "Y",
            "metricDescription": "커널에서 사용한 CPU 시간의 백분율 (core 4개 모두를 100%사용하는 경우 : 400%)",
            "metricDescriptionEn": "Percentage of CPU time used in the kernel (if 100% of all 4 cores are used: 400%)",
            "metricKey": "system.filesystem.used.bytes",
            "metricName": "FileSystem",
            "metricOrder": 1,
            "metricSetKey": "system.filesystem",
            "metricSetName": "FileSystem",
            "metricType": "NUM",
            "metricUnit": "bytes",
            "objectKeyName": "system.core.iowait.pct",
            "objectType": "N",
            "objectTypeNameEng": "N",
            "objectTypeNameLoc": "N",
            "perfTitle": "File System",
            "productTargetType": "system.core.id 별",
            "productTargetTypeEn": "By system.core.id",
            "productTypeCode": "VM",
            "productTypeName": "Virtual Server"
        }
    ],
    "isChanged": "",
    "returnCount": "",
    "returnPage": "",
    "sort": [
        ""
    ],
    "sortableFields": [
        ""
    ],
    "totalCount": ""
}